body {
    background: #f3f4f6;
    font-family: Arial, sans-serif;
}

.auth-container {
    width: 100%;
    max-width: 380px;
    margin: 80px auto;
    background: #fff;
    padding: 40px;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
}

.auth-container h2 {
    text-align: center;
    margin-bottom: 30px;
}

.auth-container input {
    width: 100%;
    max-width: 350px;
    padding: 12px;
    margin-bottom: 15px;
    border-radius: 8px;
    border: 1px solid #d1d5db;
}

.auth-container button {
    width: 100%;
    padding: 12px;
    background: #009c51;
    color: #fff;
    border: none;
    border-radius: 8px;
    cursor: pointer;
}

.auth-container button:hover {
    background: #028f4b;
}

.error {
    background: #fee2e2;
    color: #991b1b;
    padding: 10px;
    border-radius: 8px;
    margin-bottom: 15px;
    display: none;
}

.success {
    background: #d1fae5;
    color: #25991b;
    padding: 10px;
    border-radius: 8px;
    margin-bottom: 15px;
    display: none;
}

.load {
    position: absolute;
    top: 43%;
    left: 47%;
    display: none;
}